summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-dns/libidn2/Manifest1
-rw-r--r--net-dns/libidn2/libidn2-2.3.0.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/net-dns/libidn2/Manifest b/net-dns/libidn2/Manifest
index 0c01b4a3428..fd861328bd0 100644
--- a/net-dns/libidn2/Manifest
+++ b/net-dns/libidn2/Manifest
@@ -1,3 +1,4 @@
DIST libidn2-2.1.1a.tar.gz 2122867 BLAKE2B 616bdf4c2c5095a29511db293fa908d4cac23f77e17bb6c60f8aa8c8a8a10f1b4e8b84b82406599fe0cc7122fd89c50ec252f1716198f72496800a19924fa09c SHA512 404a739e33d324f700ac8e8119de3feef0de778bbb11be09049cb64eab447cd101883f6d489cca1e88c230f58bcaf9758fe102e571b6501450aa750ec2a4a9c6
DIST libidn2-2.2.0.tar.gz 2110743 BLAKE2B 08a1f89d4b6edd7da4d91c9d21f9944c1ebb4064cb43147ac23fcd79f0a0bbd94e7d2b9a72382784f4aaca211cf9502a5117dfa63ab5fe72383188eeae6f628b SHA512 ccf56056a378d49a28ff67a2a23cd3d32ce51f86a78f84839b98dad709a1d0d03ac8d7c1496f0e4d3536bca00e3d09d34d76a37317b2ce87e3aa66bdf4e877b8
+DIST libidn2-2.3.0.tar.gz 2164993 BLAKE2B 3c103831c39fa3fd0340c9c45f3f683483207ade9cadc8d85b046a698f75bbe5ce6829de69a5cb238404d243b7a39ef44d69ea4ea80c22b813eafbacae615a8b SHA512 a2bf6d2249948bce14fbbc802f8af1c9b427fc9bf64203a2f3d7239d8e6061d0a8e7970a23e8e5889110a654a321e0504c7a6d049bb501e7f6a23d42b50b6187
DIST libunistring-0.9.10.tar.gz 3744814 BLAKE2B 3ddc55b8021c0f4822beb83b807bb21dbbf10bbb866747f64e060df3ab822a4143528855e1ce6a13144630bc8daa14f1fa830db77fb605e57cae21d46de804d6 SHA512 690082732fbbd47ab4ffbd6f21d85afece0f8e2ded24982f949f4ae52bf0a981b75ea9bc14ab289e0954cde07f31a7a4c2bb65615a8eb5b2bfa65720310b6fc9
diff --git a/net-dns/libidn2/libidn2-2.3.0.ebuild b/net-dns/libidn2/libidn2-2.3.0.ebuild
new file mode 100644
index 00000000000..423471d58b6
--- /dev/null
+++ b/net-dns/libidn2/libidn2-2.3.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit multilib-minimal
+
+DESCRIPTION="An implementation of the IDNA2008 specifications (RFCs 5890, 5891, 5892, 5893)"
+HOMEPAGE="https://www.gnu.org/software/libidn/#libidn2 https://gitlab.com/libidn/libidn2"
+SRC_URI="
+ mirror://gnu/libidn/${P}.tar.gz
+"
+
+LICENSE="GPL-2+ LGPL-3+"
+SLOT="0/2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND="
+ dev-libs/libunistring[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-lang/perl
+ sys-apps/help2man
+"
+S=${WORKDIR}/${P/a/}
+
+src_prepare() {
+ default
+
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # Darwin ar chokes when TMPDIR doesn't exist (as done for some
+ # reason in the Makefile)
+ sed -i -e '/^TMPDIR = /d' Makefile.in || die
+ export TMPDIR="${T}"
+ fi
+
+ multilib_copy_sources
+}
+
+multilib_src_configure() {
+ econf \
+ $(use_enable static-libs static) \
+ --disable-doc \
+ --disable-gcc-warnings \
+ --disable-gtk-doc \
+ --disable-silent-rules
+}
+
+multilib_src_install() {
+ default
+
+ find "${D}" -name '*.la' -delete || die
+}